public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Crypt_GPG/
Date: Tue, 11 Jun 2024 16:35:38 +0000 (UTC)	[thread overview]
Message-ID: <1718123637.32b2c815db134001ca71aa93e3b65f050461f1d0.mjo@gentoo> (raw)

commit:     32b2c815db134001ca71aa93e3b65f050461f1d0
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 11 16:00:09 2024 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jun 11 16:33:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32b2c815

dev-php/PEAR-Crypt_GPG: add 1.6.9

Bump to EAPI=8 and drop the test suite, since it required PHPUnit, and
PHPUnit is no longer packaged.

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-php/PEAR-Crypt_GPG/Manifest                    |  1 +
 dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.6.9.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-php/PEAR-Crypt_GPG/Manifest b/dev-php/PEAR-Crypt_GPG/Manifest
index 7209c7c0e908..c285c39b79c1 100644
--- a/dev-php/PEAR-Crypt_GPG/Manifest
+++ b/dev-php/PEAR-Crypt_GPG/Manifest
@@ -1 +1,2 @@
 DIST Crypt_GPG-1.6.7.tgz 343957 BLAKE2B c95346005fdd36bd97e2a0e6cd42c5a2898fb59f0a4a3d3b09bd99a409bd9c998b267ffd84ab28148e17c3f7e78e094393c3b077998b05dc2d7ddcb0ab81394b SHA512 dd629271ebbcb98df5d31313c1a6911b62964046c758e00b55377170653e9880d2edc7d0b953fd6ae441d74238c4a8e1008bf6a9195a19ff463bcc82665f14e8
+DIST Crypt_GPG-1.6.9.tgz 344282 BLAKE2B d8546a34a70e8379b8003824636b26ad289f8c906bfbbf5c90cc5655f1bda243c57ec077a497e2a69c09bd5febd65a3f2cd39b426aadbf4f13e5ba10f6ed2380 SHA512 e3493406f27f73539522fa16cdd01aa940faacc6b180228b718596c6803c6c6a6cbb68c244749da965a62d19abc50bff83210d798f9394fde8980c5d8c8cdb2d

diff --git a/dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.6.9.ebuild b/dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.6.9.ebuild
new file mode 100644
index 000000000000..55eaa8d81a27
--- /dev/null
+++ b/dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.6.9.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/PEAR-/}"
+MY_PV="${PV/_/}"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="PHP interface to the GNU Privacy Guard (GnuPG)"
+HOMEPAGE="https://pear.php.net/package/Crypt_GPG"
+SRC_URI="https://download.pear.php.net/package/${MY_P}.tgz"
+S="${WORKDIR}/${MY_P}"
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~sparc ~x86"
+
+RDEPEND="app-crypt/gnupg
+	dev-lang/php:*[posix(-),unicode(-)]
+	dev-php/PEAR-Console_CommandLine
+	dev-php/PEAR-Exception"
+
+src_prepare() {
+	default
+
+	sed -i "s|@bin-dir@|${EPREFIX}/usr/bin|" Crypt/GPG/Engine.php || die
+	sed -i "s|@package-name@|${MY_PN}|" Crypt/GPG/PinEntry.php || die
+	sed -i "s|@data-dir@|${EPREFIX}/usr/share|" Crypt/GPG/PinEntry.php || die
+}
+
+src_install() {
+	dodoc README.md
+	dobin scripts/crypt-gpg-pinentry
+
+	insinto "/usr/share/${MY_PN}"
+	doins -r data
+
+	insinto /usr/share/php
+	doins -r Crypt
+}


             reply	other threads:[~2024-06-11 16:35 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-11 16:35 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-17  8:54 [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Crypt_GPG/ Michael Orlitzky
2024-10-17  6:37 Sam James
2023-07-05  4:25 Sam James
2022-02-16 19:14 Brian Evans
2021-09-07 13:32 Brian Evans
2021-03-30  0:21 Thomas Deutschmann
2021-03-17 12:28 Brian Evans
2020-08-18 22:43 Thomas Deutschmann
2020-06-14 23:30 Thomas Deutschmann
2020-01-21 23:58 Michael Orlitzky
2018-06-06 18:47 Brian Evans
2018-04-24 20:33 Brian Evans
2018-04-24 20:33 Brian Evans
2018-04-24 19:32 Mikle Kolyada
2018-03-14 11:20 Mikle Kolyada
2018-03-13 22:26 Thomas Deutschmann
2018-02-20  1:55 Brian Evans
2018-02-20  1:55 Brian Evans
2017-11-15  4:51 Michael Orlitzky
2017-11-06 21:20 Sergei Trofimovich
2017-04-01 10:40 Michael Weber
2017-04-01 10:02 Michael Weber
2017-03-25 10:08 Jeroen Roovers
2017-03-02 10:47 Agostino Sarubbo
2017-03-02 10:30 Agostino Sarubbo
2017-02-27 16:20 Brian Evans
2017-01-20  2:28 Michael Orlitzky
2017-01-06  5:09 Michael Orlitzky
2016-12-23 15:05 Markus Meier
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-10-31 14:53 Brian Evans
2016-07-15 18:47 Brian Evans
2016-03-02 19:26 Markus Meier
2016-02-09 14:18 Brian Evans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1718123637.32b2c815db134001ca71aa93e3b65f050461f1d0.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox